Package org.eclipse.m2m.atl.emftvm.ant

## Class InOutModel

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.ant.ModelElement
  - - org.eclipse.m2m.atl.emftvm.ant.InOutModel

    public class InOutModel
    extends ModelElement

Nested Ant input/output model element.

### Constructor Summary

Constructors
`InOutModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getUri()` Returns the model URI.
`java.lang.String` `getWspath()` Returns the output model workspace path.
`void` `setUri​(java.lang.String uri)` Sets the model URI.
`void` `setWspath​(java.lang.String wspath)` Sets the output model workspace path.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.ModelElement

`getAs, getName, isAllowInterModelReferences, setAllowInterModelReferences, setAs, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InOutModel

    public InOutModel()

### Method Detail

#### setWspath

    public void setWspath​(java.lang.String wspath)

Sets the output model workspace path.

Parameters:
  `wspath` - the path to set

#### getWspath

    public java.lang.String getWspath()

Returns the output model workspace path.

Returns:
  the path

#### setUri

    public void setUri​(java.lang.String uri)

Sets the model URI.

Parameters:
  `uri` - the uri to set

#### getUri

    public java.lang.String getUri()

Returns the model URI.

Returns:
  the uri